org.restlet.engine.io

## Class PipeStream

- java.lang.Object
- - org.restlet.engine.io.PipeStream

    public class PipeStream
    extends java.lang.Object

Pipe stream that pipes output streams into input streams. Implementation based on a shared synchronized queue.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`PipeStream()` Constructor.

### Method Summary

Methods
`java.io.InputStream` `getInputStream()` Returns a new input stream that can read from the pipe.
`java.io.OutputStream` `getOutputStream()` Returns a new output stream that can write into the pipe.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PipeStream

    public PipeStream()

Constructor.

### Method Detail

#### getInputStream

    public java.io.InputStream getInputStream()

Returns a new input stream that can read from the pipe.

Returns:
  A new input stream that can read from the pipe.

#### getOutputStream

    public java.io.OutputStream getOutputStream()

Returns a new output stream that can write into the pipe.

Returns:
  A new output stream that can write into the pipe.